#include<bits/stdc++.h>
using namespace std;
int check(int n) {
	return (n/2)*(1+n);
}
int main() {
	int t;
	cin >> t;
	string res[t];
	int s = 0;
	while(t--) {
		int n,m,k;
		cin >> n >> m >> k;
		if(k == 1) {
			if(check(n) > m)res[s++] = "Nie";
			else res[s++] = "Tak";
		}
		else if(k > n) {
			res[s++] = "Nie";
		}
		else {
			k--;
			n--;
			int brg = n/k; // broj ljudi po grupama
			int brp = n - n/k;//broj ljudi prve grupe ukoliko je nedeljiv
			m -= check(brp);
			m -= k * check(brg);
			if(m < 0)res[s++] = "Nie";
			else res[s++] = "Tak";
		}
	}
	for(int i = 0; i < s; ++i)cout << res[i] << "\n";
}